Bug 107267

Summary: [chromium] move geolocation related methods to TestRunner
Product: WebKit Reporter: jochen
Component: Tools / TestsAssignee: jochen
Status: RESOLVED FIXED    
Severity: Normal CC: abarth, dcarney, dglazkov, fishd, jamesr, tkent+wkapi, webkit.review.bot
Priority: P2    
Version: 528+ (Nightly build)   
Hardware: Unspecified   
OS: Unspecified   
Bug Depends on:    
Bug Blocks: 91308    
Attachments:
Description Flags
Patch none

Description jochen 2013-01-18 05:43:16 PST
void numberOfPendingGeolocationPermissionRequests(const CppArgumentList&, CppVariant*);
    void setGeolocationPermission(const CppArgumentList&, CppVariant*);
    void setMockGeolocationPosition(const CppArgumentList&, CppVariant*);
    void setMockGeolocationPositionUnavailableError(const CppArgumentList&, CppVariant*);
Comment 1 jochen 2013-01-19 03:19:30 PST
Created attachment 183616 [details]
Patch
Comment 2 WebKit Review Bot 2013-01-19 03:23:06 PST
Please wait for approval from abarth@webkit.org, dglazkov@chromium.org, fishd@chromium.org, jamesr@chromium.org or tkent@chromium.org before submitting, as this patch contains changes to the Chromium public API. See also https://trac.webkit.org/wiki/ChromiumWebKitAPI.
Comment 3 WebKit Review Bot 2013-01-20 01:41:36 PST
Comment on attachment 183616 [details]
Patch

Clearing flags on attachment: 183616

Committed r140269: <http://trac.webkit.org/changeset/140269>
Comment 4 WebKit Review Bot 2013-01-20 01:41:40 PST
All reviewed patches have been landed.  Closing bug.